<?php

    add_action( 'wp_enqueue_scripts', 'wpdevart_barbershop_barber_theme_css' );
    function wpdevart_barbershop_barber_theme_css() {

        wp_enqueue_style( 
            'wpdevart_barbershop_barber_css', 
            get_stylesheet_uri(),
            ( get_template_directory_uri() ) . 'style.css',
        ); 

        $childWpdevartBarbershopBarberMain = 'wpdevart-child-barbershop-barber-main-styles';
        wp_enqueue_style( $childWpdevartBarbershopBarberMain,
        get_stylesheet_directory_uri() . '/assets/css/front-end/index.css',
        );

        $childWpdevartBarbershopBarberWoo = 'wpdevart-child-barbershop-barber-woo-style';
        wp_enqueue_style( $childWpdevartBarbershopBarberWoo,
        get_stylesheet_directory_uri() . '/assets/css/front-end/wpdevart-woocommerce.css',
        );

    }

    ##################------ Removing Parent Theme Style Files ------##################

    function wpdevart_barbershop_barber_remove_parent_theme_scripts() {
        wp_dequeue_style( 'wpdevart_ecommerce_modern_store_styles' );
        wp_deregister_style( 'wpdevart_ecommerce_modern_store_styles' );
        wp_dequeue_style( 'wpdevart_ecommerce_modern_store_woocommerce_styles' );
        wp_deregister_style( 'wpdevart_ecommerce_modern_store_woocommerce_styles' );
    }
    add_action( 'wp_enqueue_scripts', 'wpdevart_barbershop_barber_remove_parent_theme_scripts', 11 );

    ##################------ INCLUDING DEFAULT OPTIONS ------##################

    require( get_theme_file_path() . '/inc/admin/wpdevart-barbershop-barber-add-default-options.php' );
		
    ##################------ DEFAULT CUSTOMIZER ------##################
	
    add_filter( 'parent_wpdevart_ecommerce_modern_store_woo_search_bar_categories_text_hover_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_main_header_sub_menu_top_border_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_header_mobile_menu_button_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_header_search_button_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_header_descktop_search_button_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_single_post_banner_entry_link_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_single_page_banner_entry_link_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_blog_settings_title_hover_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_blog_settings_metas_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_custom_homepage_banner_sliding_text_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_homepage_sections_description_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_custom_homepage_achievements_second_text_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_custom_homepage_advantages_second_icon_title_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_custom_homepage_latest_posts_title_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_woocommerce_account_icon_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_woocommerce_cart_icon_color', 'barbershop_barber_wpdevart_customizer_default_main_color' );
    function barbershop_barber_wpdevart_customizer_default_main_color(){
        return '#1287ff';
    }

    add_filter( 'parent_wpdevart_ecommerce_modern_store_woo_search_bar_bg_color', 'barbershop_barber_wpdevart_customizer_default_second_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_top_header_bg_color', 'barbershop_barber_wpdevart_customizer_default_second_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_top_header_bg_gradient_color', 'barbershop_barber_wpdevart_customizer_default_second_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_top_header_social_icons_bg_color', 'barbershop_barber_wpdevart_customizer_default_second_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_header_logo_text_color', 'barbershop_barber_wpdevart_customizer_default_second_color' );
    add_filter( 'parent_wpdevart_ecommerce_modern_store_header_logo_gradient_color', 'barbershop_barber_wpdevart_customizer_default_second_color' );
    function barbershop_barber_wpdevart_customizer_default_second_color(){
        return '#000000';
    }
		
	add_filter( 'parent_wpdevart_ecommerce_modern_store_header_mobile_menu_background_color', 'barbershop_barber_wpdevart_customizer_default_third_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_mobile_menu_bg_gradient_color', 'barbershop_barber_wpdevart_customizer_default_third_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_blog_settings_category_bg_hover_color', 'barbershop_barber_wpdevart_customizer_default_third_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_pagination_buttons_bg_hover_color', 'barbershop_barber_wpdevart_customizer_default_third_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_woo_pagination_buttons_bg_hover_color', 'barbershop_barber_wpdevart_customizer_default_third_color' );
    function barbershop_barber_wpdevart_customizer_default_third_color(){
        return '#f9f9f9';
    }


	add_filter( 'parent_wpdevart_ecommerce_modern_store_single_post_banner_gradient_color', 'barbershop_barber_wpdevart_customizer_default_fourth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_single_page_banner_gradient_color', 'barbershop_barber_wpdevart_customizer_default_fourth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_archive_banner_bg_gradient_color', 'barbershop_barber_wpdevart_customizer_default_fourth_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_search_banner_bg_gradient_color', 'barbershop_barber_wpdevart_customizer_default_fourth_color' );
    function barbershop_barber_wpdevart_customizer_default_fourth_color(){
        return '#fcfcfc';
    }
		
	add_filter( 'parent_wpdevart_ecommerce_modern_store_single_post_banner_bg_color', 'barbershop_barber_wpdevart_customizer_default_seventh_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_single_page_banner_bg_color', 'barbershop_barber_wpdevart_customizer_default_seventh_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_archive_banner_bg_color', 'barbershop_barber_wpdevart_customizer_default_seventh_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_search_banner_bg_color', 'barbershop_barber_wpdevart_customizer_default_seventh_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_top_header_text_color', 'barbershop_barber_wpdevart_customizer_default_seventh_color' );
	add_filter( 'parent_wpdevart_ecommerce_modern_store_top_header_social_icons_color', 'barbershop_barber_wpdevart_customizer_default_seventh_color' );
    function barbershop_barber_wpdevart_customizer_default_seventh_color(){
        return '#ffffff';
    }
	
    add_filter( 'parent_wpdevart_ecommerce_modern_store_premium_features_url', 'barbershop_barber_wpdevart_customizer_pro_link' );
    function barbershop_barber_wpdevart_customizer_pro_link(){
        return 'https://wpdevart.com/wordpress-barbershop-theme';
    }
	add_filter( 'parent_wpdevart_child_demo_url', 'barbershop_barber_wpdevart_child_demo_url' );
	function barbershop_barber_wpdevart_child_demo_url(){
		return 'https://barbershop.wpdevart.com';
	}
	add_filter( 'parent_wpdevart_child_wp_support_url', 'barbershop_barber_wpdevart_demo_url' );
	function barbershop_barber_wpdevart_demo_url(){
		return 'https://wordpress.org/support/theme/barbershop-barber';
	}
	add_filter( 'parent_wpdevart_child_wp_page_url', 'barbershop_barber_wpdevart_wp_page_url' );
	function barbershop_barber_wpdevart_wp_page_url(){
		return 'https://wordpress.org/themes/barbershop-barber';
	}
	add_filter( 'parent_wpdevart_child_footer_url_title', 'barbershop_barber_wpdevart_footer_url_title' );
	function barbershop_barber_wpdevart_footer_url_title(){
		return __( 'WordPress Barbershop Theme', 'barbershop-barber' );
	}
	add_filter( 'parent_wpdevart_child_footer_url_text', 'barbershop_barber_wpdevart_footer_url_text' );
	function barbershop_barber_wpdevart_footer_url_text(){
		return __( 'WordPress Barbershop Theme', 'barbershop-barber' );
	}
	add_filter( 'parent_wpdevart_child_description_text', 'barbershop_barber_wpdevart_description_text' );
	function barbershop_barber_wpdevart_description_text(){
		return __( 'WordPress Barbershop: Barber is a stylish theme designed and developed by our team. The theme has a clear and optimized code that ensures the speed of the website. By the way, the theme is SEO optimized and fully responsive, which is another big advantage. It comes with various options and features that allow you to create a fully functional and powerful website. WordPress Barbershop: Barber theme comes with a built-in custom homepage. The custom homepage has various built-in and ready-made sections. The following sections are available Banner, Call to Action, Products, Sales, Advantages, Achievements, Services, and Lates Posts.', 'barbershop-barber' );
	}
	add_filter( 'parent_wpdevart_child_theme_premium_name', 'barbershop_barber_theme_premium_name' );
	function barbershop_barber_theme_premium_name(){
		return __( 'Barbershop: Barber', 'barbershop-barber' );
	}
	
    ##################------ CHILD THEME FEATURES ------##################

    function wpdevart_barbershop_barber_theme_features() {
        register_nav_menu('primary_menu', esc_html__( 'Primary Menu', 'barbershop-barber'));
        load_theme_textdomain( 'barbershop-barber', get_template_directory() . '/languages' ); 
        add_theme_support( 'custom-logo' );
        add_theme_support('title-tag');
        add_theme_support('post-thumbnails');
        add_theme_support('wp-block-styles');
        add_theme_support('widgets');
        add_theme_support('widgets-block-editor');
        add_theme_support( 'automatic-feed-links' );
        add_theme_support( "responsive-embeds" );
        add_theme_support( "align-wide" );
        add_editor_style( 'editor-style.css' );
        add_theme_support('woocommerce');
        add_theme_support( 'wc-product-gallery-zoom' );
        add_theme_support( 'wc-product-gallery-lightbox' );
        add_theme_support( 'wc-product-gallery-slider' );
    }

    add_action('after_setup_theme', 'wpdevart_barbershop_barber_theme_features');
  
    ##################------ REGISTERING DEFAULT WIDGETS ------##################

    function wpdevart_barbershop_barber_widgets_init() {
        $defaults = array(
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget'  => '</div>',
            'before_title'  => '<h3 class="widget-title">',
            'after_title'   => '</h3>',
        );
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_blog_sidebar',
            'name'        => esc_html__( 'Blog Sidebar', 'barbershop-barber'),
            'description' => esc_html__( 'Default sidebar for blog/archive and post/page.', 'barbershop-barber'),
        ) ) );	
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_footer_large_widget',
            'name'        => esc_html__( 'Footer Large Widget', 'barbershop-barber'),
            'description' => esc_html__( 'Large footer widget.', 'barbershop-barber'),
        ) ) );
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_footer_widget_01',
            'name'        => esc_html__( 'Footer Widget 1', 'barbershop-barber'),
            'description' => esc_html__( 'A regular footer widget.', 'barbershop-barber'),
        ) ) );
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_footer_widget_02',
            'name'        => esc_html__( 'Footer Widget 2', 'barbershop-barber'),
            'description' => esc_html__( 'A regular footer widget.', 'barbershop-barber'),
        ) ) );
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_footer_widget_03',
            'name'        => esc_html__( 'Footer Widget 3', 'barbershop-barber'),
            'description' => esc_html__( 'A regular footer widget.', 'barbershop-barber'),
        ) ) );
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_footer_widget_04',
            'name'        => esc_html__( 'Footer Widget 4', 'barbershop-barber'),
            'description' => esc_html__( 'A regular footer widget.', 'barbershop-barber'),
        ) ) );
        register_sidebar( array_merge( $defaults, array(
            'id'          => 'wpdevart_ecommerce_modern_store_woocommerce_sidebar',
            'name'        => esc_html__( 'WooCommerce Sidebar', 'barbershop-barber'),
            'description' => esc_html__( 'Sidebar for WooCommerce store pages.', 'barbershop-barber'),
        ) ) );        
    }
    add_action( 'widgets_init', 'wpdevart_barbershop_barber_widgets_init' );